Skip to content
Docs

Create System Bypass Rule

POSThttps://api.vercel.com/v1/security/firewall/bypass
Create new system bypass rules
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.security.addBypassIp({
projectId: "<id>",
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
});
console.log(result);
}
run();
Response
{
"ok": "false",
"result": [
{
"OwnerId": "example_id",
"Id": "icfg_1234567890",
"Domain": "string",
"Ip": "string",
"ProjectId": "example_id",
"Note": "string",
"IsProjectRule": "false"
}
],
"pagination": "value"
}
AuthorizationbearerToken

Default authentication mechanism

projectIdstringRequired
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
domainstringRequired
projectScopebooleanOptional
If the specified bypass will apply to all domains for a project.
sourceIpstringOptional
allSourcesbooleanOptional
ttlnumberOptional
Time to live in milliseconds
notestringOptional
200Success
okbooleanRequired
resultarrayRequired
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
402Error
403You do not have permission to access this resource.
404Error
410Error
500Error